diff options
author | Daniel Jones <admin@danieljon.es> | 2019-08-31 23:29:36 +0930 |
---|---|---|
committer | Daniel Jones <admin@danieljon.es> | 2019-08-31 23:29:36 +0930 |
commit | b4e83604796a51c4439786530676c436cf08a0ef (patch) | |
tree | c59dd12a0da4119d915c1596e615a834c8bea68a | |
parent | 8f77f826ad5d26cacb96883375fc67f478034c0d (diff) | |
download | animegrep-b4e83604796a51c4439786530676c436cf08a0ef.tar.gz animegrep-b4e83604796a51c4439786530676c436cf08a0ef.zip |
add pipefail so the script does not continue executing on errors - github.com/sr229
-rwxr-xr-x | animegrep.sh | 3 |
1 files changed, 3 insertions, 0 deletions
diff --git a/animegrep.sh b/animegrep.sh index c57373a..624815b 100755 --- a/animegrep.sh +++ b/animegrep.sh @@ -14,6 +14,9 @@ # You should have received a copy of the GNU General Public License # along with this program. If not, see <http://www.gnu.org/licenses/>. +# Make sure the script fails if the other commands fail as well +set -eo pipefail + # check for mkvextract command -v mkvextract >/dev/null 2>&1 || { echo >&2 "Requires mkvextract. Aborting."; exit; } |